Ondersteuning » Installatie WordPress » Probleem na update naar WP 3.5

  • Opgelost roedeltje

    (@roedeltje)


    Ik heb zojuist een update gedaan naar WordPress 3.5 en ik krijg nu de volgen de melding:

    Fatal error: Cannot redeclare sticky_class() (previously declared in /home/xxxxxx/domains/mijndomein.nl/public_html/wp-includes/post-template.php:584) in /home/xxxxxx/domains/mijndomein.nl/public_html/wp-includes/deprecated.php on line 3192

    Iemand suggesties?

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)
  • Moderator nielsvanrenselaar

    (@nielsvanrenselaar)

    Sticky class is geen functie meer die gebruikt mag worden, en is deprecated. Zie de Codex. Je moet ze dus uit je thema en/of plugins halen en een alternatief integreren.

    Thread starter roedeltje

    (@roedeltje)

    Dank je Niels

    Probleem is opgelost, opnieuw handmatig ge-update site werkt weer een paar plugins geven nog wel problemen.

    Een andere vraag:

    Sinds ik de update heb gedaan van WP 3.5 zie ik mijn berichten als witte tekst en aangezien de achtergrond ook wit is, zie ik dus niets. En bovendien kan ik de tekst alleen maar in html-code krijgen, dus Wysiwyg werkt ook niet meer.

    Iemand een idee hoe ik dat op kan lossen?

    Het is beter om een eigen en nieuw topic te open ipv op iemand anders topic mee te liften.

    Maar om toch antwoord te geven.
    Je hebt waarschijnlijk te maken met een plugin die (nog) niet geüpdatet is voor WP 3.5.

    Deactiveer alle plugins > kijk of het probleem nog steeds bestaat > daarna activeer 1 voor 1 een plugin en kijk bij welke plugin het probleem zichtbaar wordt.

    Dat is dan de foute plugin die je moet vervangen of wachten tot de developer hem update.

    Mijn excuses, ik hoop het volgende keer zeker te doen!

    Maar bedankt voor het antwoord, het probleem is opgelost!

    Ik heb een probleem sinds de upgrade naar 3.5 Ik kan geen enkele plugin meer upgraden. Ook niet Jetpack of Akismet ik krijg dan de volgende melding
    Destination directory for file streaming does not exist or is not writable..
    Mijn host kan me niet helpen en die vraagt zich af of wordpress 3.5 misschien niet samen kan met php 5.4.8.
    Heeft iemand een idee wat ik zou kunnen doen?

    Na het updaten naar WordPress 3.5 zijn bij mij de volgende problemen ontstaan:

    – De WYSIWYG editor voor berichten of pagina’s is disabled en werkt dus niet meer. Alleen aanpassen in de HTML tab werkt.

    – Ik ben niet meer in staat om de publicatie datum etc. van berichten of pagina’s aan te passen. Wanneer je op ‘bewerken’ klikt gebeurt er simpelweg niks meer.

    – Bij het theme waar ik mee werk kun je live de frontend aanpassen door op gele bullets te klikken die over de frontend van je site staan. Wanneer je op deze bullets klikte kon je live dingen editen. Ook dit is bij sommige niet meer mogelijk.

    Let op: het deactiveren en activeren van al mijn plug-ins hielp helaas niet.

    Heeft iemand een oplossing? Hierbij een link naar de site.

7 reacties aan het bekijken - 1 tot 7 (van in totaal 7)
  • Het onderwerp ‘Probleem na update naar WP 3.5’ is gesloten voor nieuwe reacties.